#include "DataProcessWidget.h"
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QGridLayout>
#include <QDebug>
DataProcessWidget::DataProcessWidget(QWidget * parent )
{
    init();
    initLay();
    initConnect();

}
DataProcessWidget::~DataProcessWidget()
{

}

void  DataProcessWidget::init()
{
      m_labDes.setStyleSheet("border-image:url(:/image/dataprocess.png);}");
      m_btnRet.setStyleSheet("border-image:url(:/image/icon_back_2.png);}");
      m_labDes.setMaximumSize(QSize(200,30));
      m_labDes.setMinimumSize(QSize(200,30));
      m_btnRet.setMaximumSize(QSize(100,30));
      m_btnRet.setMinimumSize(QSize(100,30));
}
void  DataProcessWidget::initLay()
{
    QHBoxLayout * hlay   = new QHBoxLayout;
    hlay->addWidget(&m_btnRet,1,Qt::AlignLeft);
    hlay->addWidget(&m_labDes,9, Qt::AlignHCenter);


    QVBoxLayout * vlay  = new QVBoxLayout;
    vlay->addLayout(hlay,1);
    vlay->addWidget(new  QWidget,9);
    setLayout(vlay);

}
bool  DataProcessWidget::initConnect()
{
    bool bCon = true;
    bCon = connect(&m_btnRet,SIGNAL(clicked(bool)),this,SLOT(slotClickedChanged()));
    if(!bCon)
    {
        qDebug()<<"connect failed"<<endl;

    }
    return bCon;
}
void DataProcessWidget::slotClickedChanged()
{

    QObject * send = static_cast<QObject *>(sender());
    if(send == nullptr)
    {
        return;
    }
    emit SigClicked(send->objectName());

}
